Page MenuHomePhabricator

[NFC][PowerPC] Add additional load/store test cases
ClosedPublic

Authored by amyk on Feb 24 2021, 7:58 AM.

Details

Reviewers
lei
Group Reviewers
Restricted Project
Commits
rGe582c073d19b: [NFC][PowerPC] Add additional load/store test cases
Summary

This patch adds additional load/store test cases involving scalars, vectors, and PC-Rel in preparation for
the refactored load and store implementation introduced in D93370.

Diff Detail

Unit TestsFailed

TimeTest
1,260 msx64 debian > UBSan-AddressSanitizer-lld-x86_64.TestCases/Misc::coverage-levels.cpp
Script: -- : 'RUN: at line 6'; rm -rf /mnt/disks/ssd0/agent/llvm-project/build/projects/compiler-rt/test/ubsan/AddressSanitizer-lld-x86_64/TestCases/Misc/Output/coverage-levels.cpp.tmp-dir && mkdir /mnt/disks/ssd0/agent/llvm-project/build/projects/compiler-rt/test/ubsan/AddressSanitizer-lld-x86_64/TestCases/Misc/Output/coverage-levels.cpp.tmp-dir
2,410 msx64 debian > UBSan-AddressSanitizer-x86_64.TestCases/Misc::coverage-levels.cpp
Script: -- : 'RUN: at line 6'; rm -rf /mnt/disks/ssd0/agent/llvm-project/build/projects/compiler-rt/test/ubsan/AddressSanitizer-x86_64/TestCases/Misc/Output/coverage-levels.cpp.tmp-dir && mkdir /mnt/disks/ssd0/agent/llvm-project/build/projects/compiler-rt/test/ubsan/AddressSanitizer-x86_64/TestCases/Misc/Output/coverage-levels.cpp.tmp-dir
1,190 msx64 debian > UBSan-MemorySanitizer-lld-x86_64.TestCases/Misc::coverage-levels.cpp
Script: -- : 'RUN: at line 6'; rm -rf /mnt/disks/ssd0/agent/llvm-project/build/projects/compiler-rt/test/ubsan/MemorySanitizer-lld-x86_64/TestCases/Misc/Output/coverage-levels.cpp.tmp-dir && mkdir /mnt/disks/ssd0/agent/llvm-project/build/projects/compiler-rt/test/ubsan/MemorySanitizer-lld-x86_64/TestCases/Misc/Output/coverage-levels.cpp.tmp-dir
2,220 msx64 debian > UBSan-MemorySanitizer-x86_64.TestCases/Misc::coverage-levels.cpp
Script: -- : 'RUN: at line 6'; rm -rf /mnt/disks/ssd0/agent/llvm-project/build/projects/compiler-rt/test/ubsan/MemorySanitizer-x86_64/TestCases/Misc/Output/coverage-levels.cpp.tmp-dir && mkdir /mnt/disks/ssd0/agent/llvm-project/build/projects/compiler-rt/test/ubsan/MemorySanitizer-x86_64/TestCases/Misc/Output/coverage-levels.cpp.tmp-dir
950 msx64 debian > UBSan-Standalone-lld-x86_64.TestCases/Misc::coverage-levels.cpp
Script: -- : 'RUN: at line 6'; rm -rf /mnt/disks/ssd0/agent/llvm-project/build/projects/compiler-rt/test/ubsan/Standalone-lld-x86_64/TestCases/Misc/Output/coverage-levels.cpp.tmp-dir && mkdir /mnt/disks/ssd0/agent/llvm-project/build/projects/compiler-rt/test/ubsan/Standalone-lld-x86_64/TestCases/Misc/Output/coverage-levels.cpp.tmp-dir
View Full Test Results (6 Failed)

Event Timeline

amyk created this revision.Feb 24 2021, 7:58 AM
amyk requested review of this revision.Feb 24 2021, 7:58 AM
amyk updated this revision to Diff 326376.Feb 25 2021, 7:01 AM

Updated the patch to remove duplicate test cases.

lei accepted this revision as: lei.Mar 9 2021, 3:07 PM
lei added a subscriber: lei.

This looks to be a NFC to me. Thx for adding the additional tests coverage.

This revision is now accepted and ready to land.Mar 9 2021, 3:07 PM
amyk updated this revision to Diff 330635.Mar 15 2021, 6:37 AM
amyk retitled this revision from [PowerPC] Add additional load/store test cases to [NFC][PowerPC] Add additional load/store test cases.

This patch is NFC as it is just adding test cases. Update the revision to combine some of the files together and to reflect the final version that will be committed.

This revision was landed with ongoing or failed builds.Mar 15 2021, 6:55 AM
This revision was automatically updated to reflect the committed changes.